Subject: Maroba - Info Needed

From: Edward Cowling <[email-masked]>
Date: Sat, 27 Apr 1996 09:40:08 +0100

I just bought a ...

'Maroba'
Dieffenbachia seg.

All I have on the card in the pot is 'stand in a light place, not in
direct sunlight. Water & spray regularly. Fertilise once evey 14 days.

I've done all the above, but are there any more detailed do's and don'ts
? It's a sensational loooking plant, and I don;t want to loose it
through doing something stupid.

thanks

---
 -------------------------------------------------------------
| Edward Cowling    KTS Ltd  Guru's of Fibre Optic Telecoms   |
| [email-masked]  Web Site      http://www.kts.co.uk        |
 -------------------------------------------------------------